from PyNovTcp import *
from PyNovUsb2 import *


class PyNovCom():

    isConnected = False

    def __init__(self, ip_addr):
        self.isConnected = False
        if ip_addr=="":
            print("USB")
            self.dev = PyNovUsb2()
        else:
            print("TCP")
            self.dev = PyNovTcp(ip_addr)

    def open(self):
        self.dev.open()
        self.isConnected = self.dev.isConnected

    def read(self, addr):
        if self.dev.isConnected:
            data = self.dev.read(addr)
        else:
            data = 0
        return data

    def write(self, addr, data):
        if self.dev.isConnected:
            self.dev.write(addr, data)

    def close(self):
        self.isConnected = False
        if self.dev.isConnected:
            self.dev.close()










